Ana içeriğe atla
GET
/
api
/
v1
/
account
/
profile
Profil Al
curl --request GET \
  --url https://api.example.com/api/v1/account/profile
{
  "id": 123,
  "email": "<string>",
  "tron_address": "<string>",
  "balance_trx": "<string>",
  "totp_enabled": true,
  "created_at": "<string>"
}

Profil Al

Hesap profil bilgilerinizi dondurur.

Yanit

id
number
Kullanici kimlik numarasi
email
string
E-posta adresi (ayarlanmissa)
tron_address
string
Bagli TRON adresi (ayarlanmissa)
balance_trx
string
TRX cinsinden hesap bakiyesi
totp_enabled
boolean
2FA’nin etkin olup olmadigi
created_at
string
Hesap olusturma zaman damgasi

Ornek

curl https://api.tronrental.com/v1/account/profile \
  -H "X-API-Key: your_api_key"
Response
{
  "id": 1,
  "email": "user@example.com",
  "tron_address": "TYourAddress...",
  "balance_trx": "150.50",
  "totp_enabled": false,
  "created_at": "2026-01-15T10:00:00Z"
}